import java.io.*;
import java.util.StringTokenizer;

public class Echo
{
    public static void main( String[] args ) throws IOException
    {
        String delimiters = " .?!()[]{}|?/&\\,;:-\'\"\t\n\r";

        BufferedReader inputFile = new BufferedReader(
                                       new FileReader( args[0] ) );
        PrintWriter   outputFile = new PrintWriter(
                                       new FileWriter( args[1] ) );

        String buffer = null;

        while( true )
        {
            buffer = inputFile.readLine();

            if ( buffer == null ) break;

            buffer = buffer.toLowerCase();
            StringTokenizer tokens = new StringTokenizer( buffer, delimiters );

            while ( tokens.hasMoreElements() )
            {
                String word = (String) tokens.nextElement();
                outputFile.println( word );
            }
        }

        inputFile.close();
        outputFile.close();
    }
}
