import java.io.*;
import java.util.StringTokenizer;

public class WordCount
{
    public static void main( String[] args ) throws IOException
    {
        String delimiters = " .?!()[]{}|?/&\\,;:-\'\"\t\n\r";

        BufferedReader inputFile = new BufferedReader(
                                       new FileReader( args[0] ) );

        String buffer = null;
        int    chars  = 0;
        int    words  = 0;
        int    lines  = 0;

        while( true )
        {
            buffer = inputFile.readLine();

            if ( buffer == null ) break;

            lines++;

            buffer = buffer.toLowerCase();
            StringTokenizer tokens = new StringTokenizer( buffer, delimiters );

            while ( tokens.hasMoreElements() )
            {
                String word = (String) tokens.nextElement();
                words++;
                chars += word.length();
            }
        }

        System.out.println( "" + lines + " " + words + " " + chars );
        inputFile.close();
    }
}
